## EvDocumentLayers EvDocumentLayers |

## Functions

#define | EV_DOCUMENT_LAYERS_IFACE()
#define | EV_IS_DOCUMENT_LAYERS_IFACE()
gboolean | ev_document_layers_has_layers ()
GtkTreeModel * | ev_document_layers_get_layers ()
void | ev_document_layers_show_layer ()
void | ev_document_layers_hide_layer ()
gboolean | ev_document_layers_layer_is_visible ()

## Types and Values

| EvDocumentLayers

## Object Hierarchy

        GInterface
        ╰── EvDocumentLayers

## Description

## Functions

### EV_DOCUMENT_LAYERS_IFACE()

    #define EV_DOCUMENT_LAYERS_IFACE(k)	   (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_LAYERS, EvDocumentLayersInterface))

### EV_IS_DOCUMENT_LAYERS_IFACE()

    #define EV_IS_DOCUMENT_LAYERS_IFACE(k)	   (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_LAYERS))

### ev_document_layers_has_layers ()

    gboolean
    ev_document_layers_has_layers (EvDocumentLayers *document_layers);

### ev_document_layers_get_layers ()

    GtkTreeModel *
    ev_document_layers_get_layers (EvDocumentLayers *document_layers);

#### Parameters

document_layers | an EvDocumentLayers |

#### Returns

a GtkTreeModel.

[transfer full]

### ev_document_layers_show_layer ()

    void
    ev_document_layers_show_layer (EvDocumentLayers *document_layers,
                                   EvLayer *layer);

### ev_document_layers_hide_layer ()

    void
    ev_document_layers_hide_layer (EvDocumentLayers *document_layers,
                                   EvLayer *layer);

### ev_document_layers_layer_is_visible ()

    gboolean
    ev_document_layers_layer_is_visible (EvDocumentLayers *document_layers,
                                         EvLayer *layer);

## Types and Values

### EvDocumentLayers

    typedef struct _EvDocumentLayers EvDocumentLayers;